Los smartphones con tarjetas Wi-Fi Broadcom afectados por un grave error de seguridad

Conocimiento pertenece al mundo
Tweet about this on TwitterShare on FacebookShare on LinkedInShare on Google+Share on StumbleUponShare on TumblrShare on RedditPin on PinterestEmail this to someone

La seguridad, un aspecto muy importante. El uso generalizado de dispositivos móviles ha provocado que garantizar la privacidad de la información y que no caiga en manos ajenas se haya convertido en una de las principales metas de los usuarios. Un grupo de expertos ha hecho público un fallo de seguridad que afecta a todos los smartphones y tablets que poseen un chip Wi-Fi Broadcom.

Esta vulnerabilidad no se limita solo a dispositivos Android, también están afectados aquellos con sistema operativo iOS. La vulnerabilidad se ha catalogado como CVE-2017-9417, y permite la ejecución de código en el dispositivo sin que sea necesaria la intervención del usuario.

El fallo de seguridad fue reportado a Google que el pasado día 5 público un parche de seguridad para Android que ponía punto y final a esa, o al menos para todos los dispositivos que aún poseen soporte.

Por el momento, el investigador Nitay Artenstein, experto en seguridad y encargado de sacar a la luz muchos fallos de seguridad de Broadcom, ha confirmado que no se hará pública la información hasta le edición de 2017 de Black Hat. Indica que son millones los dispositivos afectados entre iOS y Android y que aún son muchos los que no han adoptado la actualización software. Por este motivo, no se quiere por el momento aportar información adicional a los ciberdelincuentes.

En lo que se refiere a los chips afectados, parece que es la familia BCM43xx presente en smartphones de fabricantes Samsung, LG, HTC o los propios Nexus de Google se encuentran entre el listado de dispositivos afectados.

Pequeñas pinceladas sobre el fallo del chip Broadcom

Según han detallado personas pertenecientes al entorno de Android, el fallo de seguridad consistía en enviar un paquete WME (relacionado con Quality of Service) que no esté formado de forma correcta. Este paquete incorrecto provoca un desborde en la zona de memoria dedicada al firmware que maneja el chip Wi-Fi Broadcom, permitiendo el acceso a zonas de memoria no protegidas.

El atacante no necesita que el usuario interactúe durante el proceso. Tan solo se necesita estar dentro del rango Wi-Fi del dispositivo para explotar esta vulnerabilidad.

Posteriormente se ha indicado que también sería suficiente que el usuario se conecte a una red W-Fi falsa creada por los ciberdelincuentes.

En grandes ciudades hay miles de redes Wi-Fi falsas

Sin ir más lejos, en España, ciudades como Madrid o Barcelona sacan a relucir esto que estamos comentando. Son muchos los puntos de acceso inalámbricos que se crean con la única finalidad de robar información de los dispositivos conectados. Por este motivo, conectarse a una red de este tipo con un dispositivo vulnerable permitiría la ejecución de código en el dispositivo, propiciando por ejemplo a información privada de forma no autorizada o bien la instalación de malware en el dispositivo sin que el usuario sea consciente.

Mientras en el caso de Google ya hemos indicado que han publicado un parche de seguridad, en el caso de los dispositivos con iOS no se posee un estado actualidad de la posible solución al problema.

Lo que está claro es que se considera una vulnerabilidad solo de importancia media, algo en lo que discrepan muchos expertos de seguridad.

Fuente:https://www.redeszone.net/2017/07/09/los-smartphones-tarjetas-wi-fi-broadcom-afectados-grave-error-seguridad/

Conocimiento pertenece al mundo
Tweet about this on TwitterShare on FacebookShare on LinkedInShare on Google+Share on StumbleUponShare on TumblrShare on RedditPin on PinterestEmail this to someone